import http from '@/utils/request'

export function createICCard (form) {
  let params = {
    card_no: 'string',
    createTime: '',
    id: 0,
    is_valid: 0,
    last_checkin: '',
    manager_id: 0,
    member_id: 0,
    user_name: 'string',
    valid_endDate: '',
    valid_startDate: ''
  }

  return http.post('/tenant/iccard/createICCard', { data: params })
}

export function getICCardList (form) {
  let params = {
    keyWords1: form.cardId,
    keyWords2: form.userName,
    keyWords3: form.isValid,
    orderByKeyWords: 'string',
    pageNum: 1,
    pageSize: 10,
    startDate: form.startDate,
    endDate: form.endDate
  }

  return http.post('/tenant/iccard/getICCardList', { data: params })
}
